﻿Write-Verbose $PSScriptRoot
function Get-SqlMgmtInstance
{
    <#
        .SYNOPSIS
        Discovers available SQL-Server Instances
        .DESCRIPTION
        This Function discovers available local or Network-Instances of SQL-Server. 
        To find Network-Instances, use the Parameter -Discovernetwork. The Discovery works
        via SQL Browser-Service, so UDP 1434 must be reachable on the target instance, and 
        the Browser-Service must be running. 
        .EXAMPLE
        Get-SqlMgmtInstance
        Discover local Instances 
        .EXAMPLE
        Get-SqlMgmtInstance -DiscoverNetwork
        Lists discovererd Network-Instances by searching available SQL-Browser-Services
    #>

    [CmdletBinding()]
    param
    (
        # Force the command to discover available SQL-Server instances via network
        [switch]
        $DiscoverNetwork
    )
    
    [Microsoft.SqlServer.Management.Smo.SmoApplication]::EnumAvailableSqlServers(-not $DiscoverNetwork)

}





